Bug 1007410 - Segfault while trying to finish pvmove on inactive LV
Segfault while trying to finish pvmove on inactive LV
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.5
All Linux
high Severity urgent
: rc
: ---
Assigned To: Alasdair Kergon
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 08:43 EDT by Peter Rajnoha
Modified: 2013-11-21 18:28 EST (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.100-3.el6
Doc Type: Bug Fix
Doc Text:
This bug appeared during testing of unreleased version and it has been fixed. No doc text needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 18:28:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Rajnoha 2013-09-12 08:43:57 EDT
[root@rhel6-a ~]# pvcreate /dev/sda /dev/sdb
  Physical volume "/dev/sda" successfully created
  Physical volume "/dev/sdb" successfully created

[root@rhel6-a ~]# vgcreate vg /dev/sda /dev/sdb
  Volume group "vg" successfully created

[root@rhel6-a ~]# lvcreate -L2g vg /dev/sda
  Logical volume "lvol0" created

[root@rhel6-a ~]# pvmove /dev/sda /dev/sdb
  /dev/sda: Moved: 0.2%
  /dev/sda: Moved: 15.0%

(REBOOT)

The segfault seen at boot while calling vgchange -ay and also when trying to
run the activation directly on command line:

[root@rhel6-a ~]# lvs
  LV      VG       Attr       LSize Pool Origin Data%  Move Log Cpy%Sync Convert
  lv_root VolGroup -wi-ao---- 7.54g                                             
  lv_swap VolGroup -wi-ao---- 1.97g                                             
  lvol0   vg       -wI------- 2.00g                                             
[root@rhel6-a ~]# lvchange -ay vg/lvol0
Segmentation fault


Fixed by:
https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=c0f987949b8a0bbbbe7f06694f59f710a73814da
Comment 2 Nenad Peric 2013-10-01 08:46:45 EDT
Marking verified with:

lvm2-2.02.100-3.el6.x86_64


No segfault encountered with multiple reboots and activations/deactivations.
Comment 3 errata-xmlrpc 2013-11-21 18:28:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1704.html

Note You need to log in before you can comment on or make changes to this bug.